Synq Docs
Management APIApps

List a brand's apps

Oldest first, with those that registered themselves. Needs `org.apps.view`.

GET/v1/orgs/{org}/brands/{brand}/apps

Oldest first, with those that registered themselves. Needs org.apps.view.

Authorization

bearer
AuthorizationBearer <token>

An org API key (sk_live_…, sk_test_…), or an access token from the Synq issuer (the synq brand, on the accounts host) for this API.

In: header

Path Parameters

org*string
brand*string

Query Parameters

limit?integer

At most this many items, 200 at the most.

Range1 <= value <= 200
Default50
cursor?string

The previous page's next_cursor, for the page after it.

Response Body

application/json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

application/problem+json

curl -X GET "https://example.com/v1/orgs/string/brands/string/apps"
{  "data": [    {      "id": "string",      "brand_id": "string",      "name": "string",      "app_type": "web",      "source": "dashboard",      "first_party": true,      "own_ui_sign_in": true,      "sign_in_methods": [        "string"      ],      "test_sign_ins": true,      "disabled": true,      "redirect_uris": [        "string"      ],      "post_logout_redirect_uris": [        "string"      ],      "backchannel_logout_uri": "string",      "backchannel_logout_session_required": true,      "client_uri": "string",      "logo_uri": "string",      "policy_uri": "string",      "tos_uri": "string",      "initiate_login_uri": "string",      "jwks_uri": "string",      "token_endpoint_auth_method": "string",      "pkce_optional": true,      "spa_refresh_tokens": true,      "refresh_token_reuse_window_seconds": 0,      "previous_secret_expires_at": "2019-08-24T14:15:22Z",      "last_used_at": "2019-08-24T14:15:22Z",      "created_at": "2019-08-24T14:15:22Z",      "warnings": [        {          "code": "string",          "message": "string"        }      ]    }  ],  "next_cursor": "string"}